//Copyright 1986-2019 Xilinx, Inc. All Rights Reserved.
//--------------------------------------------------------------------------------
//Tool Version: Vivado v.2019.1 (lin64) Build 2552052 Fri May 24 14:47:09 MDT 2019
//Date        : Thu Sep  5 21:57:17 2024
//Host        : ai running 64-bit Ubuntu 22.04.2 LTS
//Command     : generate_target Top.bd
//Design      : Top
//Purpose     : IP block netlist
//--------------------------------------------------------------------------------
`timescale 1 ps / 1 ps

(* CORE_GENERATION_INFO = "Top,IP_Integrator,{x_ipVendor=xilinx.com,x_ipLibrary=BlockDiagram,x_ipName=Top,x_ipVersion=1.00.a,x_ipLanguage=VERILOG,numBlks=12,numReposBlks=12,numNonXlnxBlks=0,numHierBlks=0,maxHierDepth=0,numSysgenBlks=0,numHlsBlks=0,numHdlrefBlks=0,numPkgbdBlks=0,bdsource=USER,da_axi4_cnt=15,da_board_cnt=6,da_bram_cntlr_cnt=1,da_clkrst_cnt=2,da_xdma_cnt=1,synth_mode=Global}" *) (* HW_HANDOFF = "Top.hwdef" *) 
module Top
   (C0_DDR3_0_addr,
    C0_DDR3_0_ba,
    C0_DDR3_0_cas_n,
    C0_DDR3_0_ck_n,
    C0_DDR3_0_ck_p,
    C0_DDR3_0_cke,
    C0_DDR3_0_cs_n,
    C0_DDR3_0_dq,
    C0_DDR3_0_dqs_n,
    C0_DDR3_0_dqs_p,
    C0_DDR3_0_odt,
    C0_DDR3_0_ras_n,
    C0_DDR3_0_reset_n,
    C0_DDR3_0_we_n,
    C0_SYS_CLK_0_clk_n,
    C0_SYS_CLK_0_clk_p,
    C1_DDR3_0_addr,
    C1_DDR3_0_ba,
    C1_DDR3_0_cas_n,
    C1_DDR3_0_ck_n,
    C1_DDR3_0_ck_p,
    C1_DDR3_0_cke,
    C1_DDR3_0_cs_n,
    C1_DDR3_0_dq,
    C1_DDR3_0_dqs_n,
    C1_DDR3_0_dqs_p,
    C1_DDR3_0_odt,
    C1_DDR3_0_ras_n,
    C1_DDR3_0_reset_n,
    C1_DDR3_0_we_n,
    C1_SYS_CLK_0_clk_n,
    C1_SYS_CLK_0_clk_p,
    LED,
    PCIe_CLK_clk_n,
    PCIe_CLK_clk_p,
    PCIe_RST_n,
    clk_50,
    pcie_7x_mgt_rxn,
    pcie_7x_mgt_rxp,
    pcie_7x_mgt_txn,
    pcie_7x_mgt_txp);
  (* X_INTERFACE_INFO = "xilinx.com:interface:ddrx:1.0 C0_DDR3_0 ADDR" *) (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME C0_DDR3_0, AXI_ARBITRATION_SCHEME TDM, BURST_LENGTH 8, CAN_DEBUG false, CAS_LATENCY 11, CAS_WRITE_LATENCY 11, CS_ENABLED true, DATA_MASK_ENABLED true, DATA_WIDTH 8, MEMORY_TYPE COMPONENTS, MEM_ADDR_MAP ROW_COLUMN_BANK, SLOT Single, TIMEPERIOD_PS 1250" *) output [14:0]C0_DDR3_0_addr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:ddrx:1.0 C0_DDR3_0 BA" *) output [2:0]C0_DDR3_0_ba;
  (* X_INTERFACE_INFO = "xilinx.com:interface:ddrx:1.0 C0_DDR3_0 CAS_N" *) output C0_DDR3_0_cas_n;
  (* X_INTERFACE_INFO = "xilinx.com:interface:ddrx:1.0 C0_DDR3_0 CK_N" *) output [0:0]C0_DDR3_0_ck_n;
  (* X_INTERFACE_INFO = "xilinx.com:interface:ddrx:1.0 C0_DDR3_0 CK_P" *) output [0:0]C0_DDR3_0_ck_p;
  (* X_INTERFACE_INFO = "xilinx.com:interface:ddrx:1.0 C0_DDR3_0 CKE" *) output [0:0]C0_DDR3_0_cke;
  (* X_INTERFACE_INFO = "xilinx.com:interface:ddrx:1.0 C0_DDR3_0 CS_N" *) output [0:0]C0_DDR3_0_cs_n;
  (* X_INTERFACE_INFO = "xilinx.com:interface:ddrx:1.0 C0_DDR3_0 DQ" *) inout [71:0]C0_DDR3_0_dq;
  (* X_INTERFACE_INFO = "xilinx.com:interface:ddrx:1.0 C0_DDR3_0 DQS_N" *) inout [8:0]C0_DDR3_0_dqs_n;
  (* X_INTERFACE_INFO = "xilinx.com:interface:ddrx:1.0 C0_DDR3_0 DQS_P" *) inout [8:0]C0_DDR3_0_dqs_p;
  (* X_INTERFACE_INFO = "xilinx.com:interface:ddrx:1.0 C0_DDR3_0 ODT" *) output [0:0]C0_DDR3_0_odt;
  (* X_INTERFACE_INFO = "xilinx.com:interface:ddrx:1.0 C0_DDR3_0 RAS_N" *) output C0_DDR3_0_ras_n;
  (* X_INTERFACE_INFO = "xilinx.com:interface:ddrx:1.0 C0_DDR3_0 RESET_N" *) output C0_DDR3_0_reset_n;
  (* X_INTERFACE_INFO = "xilinx.com:interface:ddrx:1.0 C0_DDR3_0 WE_N" *) output C0_DDR3_0_we_n;
  (* X_INTERFACE_INFO = "xilinx.com:interface:diff_clock:1.0 C0_SYS_CLK_0 CLK_N" *) (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME C0_SYS_CLK_0, CAN_DEBUG false, FREQ_HZ 100000000" *) input C0_SYS_CLK_0_clk_n;
  (* X_INTERFACE_INFO = "xilinx.com:interface:diff_clock:1.0 C0_SYS_CLK_0 CLK_P" *) input C0_SYS_CLK_0_clk_p;
  (* X_INTERFACE_INFO = "xilinx.com:interface:ddrx:1.0 C1_DDR3_0 ADDR" *) (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME C1_DDR3_0, AXI_ARBITRATION_SCHEME TDM, BURST_LENGTH 8, CAN_DEBUG false, CAS_LATENCY 11, CAS_WRITE_LATENCY 11, CS_ENABLED true, DATA_MASK_ENABLED true, DATA_WIDTH 8, MEMORY_TYPE COMPONENTS, MEM_ADDR_MAP ROW_COLUMN_BANK, SLOT Single, TIMEPERIOD_PS 1250" *) output [14:0]C1_DDR3_0_addr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:ddrx:1.0 C1_DDR3_0 BA" *) output [2:0]C1_DDR3_0_ba;
  (* X_INTERFACE_INFO = "xilinx.com:interface:ddrx:1.0 C1_DDR3_0 CAS_N" *) output C1_DDR3_0_cas_n;
  (* X_INTERFACE_INFO = "xilinx.com:interface:ddrx:1.0 C1_DDR3_0 CK_N" *) output [0:0]C1_DDR3_0_ck_n;
  (* X_INTERFACE_INFO = "xilinx.com:interface:ddrx:1.0 C1_DDR3_0 CK_P" *) output [0:0]C1_DDR3_0_ck_p;
  (* X_INTERFACE_INFO = "xilinx.com:interface:ddrx:1.0 C1_DDR3_0 CKE" *) output [0:0]C1_DDR3_0_cke;
  (* X_INTERFACE_INFO = "xilinx.com:interface:ddrx:1.0 C1_DDR3_0 CS_N" *) output [0:0]C1_DDR3_0_cs_n;
  (* X_INTERFACE_INFO = "xilinx.com:interface:ddrx:1.0 C1_DDR3_0 DQ" *) inout [71:0]C1_DDR3_0_dq;
  (* X_INTERFACE_INFO = "xilinx.com:interface:ddrx:1.0 C1_DDR3_0 DQS_N" *) inout [8:0]C1_DDR3_0_dqs_n;
  (* X_INTERFACE_INFO = "xilinx.com:interface:ddrx:1.0 C1_DDR3_0 DQS_P" *) inout [8:0]C1_DDR3_0_dqs_p;
  (* X_INTERFACE_INFO = "xilinx.com:interface:ddrx:1.0 C1_DDR3_0 ODT" *) output [0:0]C1_DDR3_0_odt;
  (* X_INTERFACE_INFO = "xilinx.com:interface:ddrx:1.0 C1_DDR3_0 RAS_N" *) output C1_DDR3_0_ras_n;
  (* X_INTERFACE_INFO = "xilinx.com:interface:ddrx:1.0 C1_DDR3_0 RESET_N" *) output C1_DDR3_0_reset_n;
  (* X_INTERFACE_INFO = "xilinx.com:interface:ddrx:1.0 C1_DDR3_0 WE_N" *) output C1_DDR3_0_we_n;
  (* X_INTERFACE_INFO = "xilinx.com:interface:diff_clock:1.0 C1_SYS_CLK_0 CLK_N" *) (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME C1_SYS_CLK_0, CAN_DEBUG false, FREQ_HZ 100000000" *) input C1_SYS_CLK_0_clk_n;
  (* X_INTERFACE_INFO = "xilinx.com:interface:diff_clock:1.0 C1_SYS_CLK_0 CLK_P" *) input C1_SYS_CLK_0_clk_p;
  output [2:0]LED;
  (* X_INTERFACE_INFO = "xilinx.com:interface:diff_clock:1.0 PCIe_CLK CLK_N" *) (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME PCIe_CLK, CAN_DEBUG false, FREQ_HZ 100000000" *) input [0:0]PCIe_CLK_clk_n;
  (* X_INTERFACE_INFO = "xilinx.com:interface:diff_clock:1.0 PCIe_CLK CLK_P" *) input [0:0]PCIe_CLK_clk_p;
  (* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 RST.PCIE_RST_N RST" *) (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME RST.PCIE_RST_N, INSERT_VIP 0, POLARITY ACTIVE_LOW" *) input PCIe_RST_n;
  (* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 CLK.CLK_50 CLK" *) (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME CLK.CLK_50, CLK_DOMAIN Top_clk_50, FREQ_HZ 50000000, INSERT_VIP 0, PHASE 0.000" *) input clk_50;
  (* X_INTERFACE_INFO = "xilinx.com:interface:pcie_7x_mgt:1.0 pcie_7x_mgt rxn" *) input [3:0]pcie_7x_mgt_rxn;
  (* X_INTERFACE_INFO = "xilinx.com:interface:pcie_7x_mgt:1.0 pcie_7x_mgt rxp" *) input [3:0]pcie_7x_mgt_rxp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:pcie_7x_mgt:1.0 pcie_7x_mgt txn" *) output [3:0]pcie_7x_mgt_txn;
  (* X_INTERFACE_INFO = "xilinx.com:interface:pcie_7x_mgt:1.0 pcie_7x_mgt txp" *) output [3:0]pcie_7x_mgt_txp;

  wire C0_SYS_CLK_0_1_CLK_N;
  wire C0_SYS_CLK_0_1_CLK_P;
  wire C1_SYS_CLK_0_1_CLK_N;
  wire C1_SYS_CLK_0_1_CLK_P;
  wire PCIe_RST_n_1;
  wire [17:0]axi_bram_ctrl_0_BRAM_PORTA_ADDR;
  wire axi_bram_ctrl_0_BRAM_PORTA_CLK;
  wire [31:0]axi_bram_ctrl_0_BRAM_PORTA_DIN;
  wire [31:0]axi_bram_ctrl_0_BRAM_PORTA_DOUT;
  wire axi_bram_ctrl_0_BRAM_PORTA_EN;
  wire axi_bram_ctrl_0_BRAM_PORTA_RST;
  wire [3:0]axi_bram_ctrl_0_BRAM_PORTA_WE;
  wire [2:0]axi_gpio_0_gpio_io_o;
  wire [17:0]axi_smc1_M00_AXI_ARADDR;
  wire [1:0]axi_smc1_M00_AXI_ARBURST;
  wire [3:0]axi_smc1_M00_AXI_ARCACHE;
  wire [7:0]axi_smc1_M00_AXI_ARLEN;
  wire [0:0]axi_smc1_M00_AXI_ARLOCK;
  wire [2:0]axi_smc1_M00_AXI_ARPROT;
  wire axi_smc1_M00_AXI_ARREADY;
  wire [2:0]axi_smc1_M00_AXI_ARSIZE;
  wire axi_smc1_M00_AXI_ARVALID;
  wire [17:0]axi_smc1_M00_AXI_AWADDR;
  wire [1:0]axi_smc1_M00_AXI_AWBURST;
  wire [3:0]axi_smc1_M00_AXI_AWCACHE;
  wire [7:0]axi_smc1_M00_AXI_AWLEN;
  wire [0:0]axi_smc1_M00_AXI_AWLOCK;
  wire [2:0]axi_smc1_M00_AXI_AWPROT;
  wire axi_smc1_M00_AXI_AWREADY;
  wire [2:0]axi_smc1_M00_AXI_AWSIZE;
  wire axi_smc1_M00_AXI_AWVALID;
  wire axi_smc1_M00_AXI_BREADY;
  wire [1:0]axi_smc1_M00_AXI_BRESP;
  wire axi_smc1_M00_AXI_BVALID;
  wire [31:0]axi_smc1_M00_AXI_RDATA;
  wire axi_smc1_M00_AXI_RLAST;
  wire axi_smc1_M00_AXI_RREADY;
  wire [1:0]axi_smc1_M00_AXI_RRESP;
  wire axi_smc1_M00_AXI_RVALID;
  wire [31:0]axi_smc1_M00_AXI_WDATA;
  wire axi_smc1_M00_AXI_WLAST;
  wire axi_smc1_M00_AXI_WREADY;
  wire [3:0]axi_smc1_M00_AXI_WSTRB;
  wire axi_smc1_M00_AXI_WVALID;
  wire [8:0]axi_smc1_M01_AXI_ARADDR;
  wire axi_smc1_M01_AXI_ARREADY;
  wire axi_smc1_M01_AXI_ARVALID;
  wire [8:0]axi_smc1_M01_AXI_AWADDR;
  wire axi_smc1_M01_AXI_AWREADY;
  wire axi_smc1_M01_AXI_AWVALID;
  wire axi_smc1_M01_AXI_BREADY;
  wire [1:0]axi_smc1_M01_AXI_BRESP;
  wire axi_smc1_M01_AXI_BVALID;
  wire [31:0]axi_smc1_M01_AXI_RDATA;
  wire axi_smc1_M01_AXI_RREADY;
  wire [1:0]axi_smc1_M01_AXI_RRESP;
  wire axi_smc1_M01_AXI_RVALID;
  wire [31:0]axi_smc1_M01_AXI_WDATA;
  wire axi_smc1_M01_AXI_WREADY;
  wire [3:0]axi_smc1_M01_AXI_WSTRB;
  wire axi_smc1_M01_AXI_WVALID;
  wire [31:0]axi_smc1_M02_AXI_ARADDR;
  wire axi_smc1_M02_AXI_ARREADY;
  wire axi_smc1_M02_AXI_ARVALID;
  wire [31:0]axi_smc1_M02_AXI_AWADDR;
  wire axi_smc1_M02_AXI_AWREADY;
  wire axi_smc1_M02_AXI_AWVALID;
  wire axi_smc1_M02_AXI_BREADY;
  wire [1:0]axi_smc1_M02_AXI_BRESP;
  wire axi_smc1_M02_AXI_BVALID;
  wire [31:0]axi_smc1_M02_AXI_RDATA;
  wire axi_smc1_M02_AXI_RREADY;
  wire [1:0]axi_smc1_M02_AXI_RRESP;
  wire axi_smc1_M02_AXI_RVALID;
  wire [31:0]axi_smc1_M02_AXI_WDATA;
  wire axi_smc1_M02_AXI_WREADY;
  wire axi_smc1_M02_AXI_WVALID;
  wire [31:0]axi_smc1_M03_AXI_ARADDR;
  wire axi_smc1_M03_AXI_ARREADY;
  wire axi_smc1_M03_AXI_ARVALID;
  wire [31:0]axi_smc1_M03_AXI_AWADDR;
  wire axi_smc1_M03_AXI_AWREADY;
  wire axi_smc1_M03_AXI_AWVALID;
  wire axi_smc1_M03_AXI_BREADY;
  wire [1:0]axi_smc1_M03_AXI_BRESP;
  wire axi_smc1_M03_AXI_BVALID;
  wire [31:0]axi_smc1_M03_AXI_RDATA;
  wire axi_smc1_M03_AXI_RREADY;
  wire [1:0]axi_smc1_M03_AXI_RRESP;
  wire axi_smc1_M03_AXI_RVALID;
  wire [31:0]axi_smc1_M03_AXI_WDATA;
  wire axi_smc1_M03_AXI_WREADY;
  wire axi_smc1_M03_AXI_WVALID;
  wire [30:0]axi_smc_M00_AXI_ARADDR;
  wire [1:0]axi_smc_M00_AXI_ARBURST;
  wire [3:0]axi_smc_M00_AXI_ARCACHE;
  wire [7:0]axi_smc_M00_AXI_ARLEN;
  wire [0:0]axi_smc_M00_AXI_ARLOCK;
  wire [2:0]axi_smc_M00_AXI_ARPROT;
  wire [3:0]axi_smc_M00_AXI_ARQOS;
  wire axi_smc_M00_AXI_ARREADY;
  wire [2:0]axi_smc_M00_AXI_ARSIZE;
  wire axi_smc_M00_AXI_ARVALID;
  wire [30:0]axi_smc_M00_AXI_AWADDR;
  wire [1:0]axi_smc_M00_AXI_AWBURST;
  wire [3:0]axi_smc_M00_AXI_AWCACHE;
  wire [7:0]axi_smc_M00_AXI_AWLEN;
  wire [0:0]axi_smc_M00_AXI_AWLOCK;
  wire [2:0]axi_smc_M00_AXI_AWPROT;
  wire [3:0]axi_smc_M00_AXI_AWQOS;
  wire axi_smc_M00_AXI_AWREADY;
  wire [2:0]axi_smc_M00_AXI_AWSIZE;
  wire axi_smc_M00_AXI_AWVALID;
  wire axi_smc_M00_AXI_BREADY;
  wire [1:0]axi_smc_M00_AXI_BRESP;
  wire axi_smc_M00_AXI_BVALID;
  wire [511:0]axi_smc_M00_AXI_RDATA;
  wire axi_smc_M00_AXI_RLAST;
  wire axi_smc_M00_AXI_RREADY;
  wire [1:0]axi_smc_M00_AXI_RRESP;
  wire axi_smc_M00_AXI_RVALID;
  wire [511:0]axi_smc_M00_AXI_WDATA;
  wire axi_smc_M00_AXI_WLAST;
  wire axi_smc_M00_AXI_WREADY;
  wire [63:0]axi_smc_M00_AXI_WSTRB;
  wire axi_smc_M00_AXI_WVALID;
  wire [30:0]axi_smc_M01_AXI_ARADDR;
  wire [1:0]axi_smc_M01_AXI_ARBURST;
  wire [3:0]axi_smc_M01_AXI_ARCACHE;
  wire [7:0]axi_smc_M01_AXI_ARLEN;
  wire [0:0]axi_smc_M01_AXI_ARLOCK;
  wire [2:0]axi_smc_M01_AXI_ARPROT;
  wire [3:0]axi_smc_M01_AXI_ARQOS;
  wire axi_smc_M01_AXI_ARREADY;
  wire [2:0]axi_smc_M01_AXI_ARSIZE;
  wire axi_smc_M01_AXI_ARVALID;
  wire [30:0]axi_smc_M01_AXI_AWADDR;
  wire [1:0]axi_smc_M01_AXI_AWBURST;
  wire [3:0]axi_smc_M01_AXI_AWCACHE;
  wire [7:0]axi_smc_M01_AXI_AWLEN;
  wire [0:0]axi_smc_M01_AXI_AWLOCK;
  wire [2:0]axi_smc_M01_AXI_AWPROT;
  wire [3:0]axi_smc_M01_AXI_AWQOS;
  wire axi_smc_M01_AXI_AWREADY;
  wire [2:0]axi_smc_M01_AXI_AWSIZE;
  wire axi_smc_M01_AXI_AWVALID;
  wire axi_smc_M01_AXI_BREADY;
  wire [1:0]axi_smc_M01_AXI_BRESP;
  wire axi_smc_M01_AXI_BVALID;
  wire [511:0]axi_smc_M01_AXI_RDATA;
  wire axi_smc_M01_AXI_RLAST;
  wire axi_smc_M01_AXI_RREADY;
  wire [1:0]axi_smc_M01_AXI_RRESP;
  wire axi_smc_M01_AXI_RVALID;
  wire [511:0]axi_smc_M01_AXI_WDATA;
  wire axi_smc_M01_AXI_WLAST;
  wire axi_smc_M01_AXI_WREADY;
  wire [63:0]axi_smc_M01_AXI_WSTRB;
  wire axi_smc_M01_AXI_WVALID;
  wire clk_50_1;
  wire [14:0]mig_7series_0_C0_DDR3_ADDR;
  wire [2:0]mig_7series_0_C0_DDR3_BA;
  wire mig_7series_0_C0_DDR3_CAS_N;
  wire [0:0]mig_7series_0_C0_DDR3_CKE;
  wire [0:0]mig_7series_0_C0_DDR3_CK_N;
  wire [0:0]mig_7series_0_C0_DDR3_CK_P;
  wire [0:0]mig_7series_0_C0_DDR3_CS_N;
  wire [71:0]mig_7series_0_C0_DDR3_DQ;
  wire [8:0]mig_7series_0_C0_DDR3_DQS_N;
  wire [8:0]mig_7series_0_C0_DDR3_DQS_P;
  wire [0:0]mig_7series_0_C0_DDR3_ODT;
  wire mig_7series_0_C0_DDR3_RAS_N;
  wire mig_7series_0_C0_DDR3_RESET_N;
  wire mig_7series_0_C0_DDR3_WE_N;
  wire [14:0]mig_7series_0_C1_DDR3_ADDR;
  wire [2:0]mig_7series_0_C1_DDR3_BA;
  wire mig_7series_0_C1_DDR3_CAS_N;
  wire [0:0]mig_7series_0_C1_DDR3_CKE;
  wire [0:0]mig_7series_0_C1_DDR3_CK_N;
  wire [0:0]mig_7series_0_C1_DDR3_CK_P;
  wire [0:0]mig_7series_0_C1_DDR3_CS_N;
  wire [71:0]mig_7series_0_C1_DDR3_DQ;
  wire [8:0]mig_7series_0_C1_DDR3_DQS_N;
  wire [8:0]mig_7series_0_C1_DDR3_DQS_P;
  wire [0:0]mig_7series_0_C1_DDR3_ODT;
  wire mig_7series_0_C1_DDR3_RAS_N;
  wire mig_7series_0_C1_DDR3_RESET_N;
  wire mig_7series_0_C1_DDR3_WE_N;
  wire mig_7series_0_c0_mmcm_locked;
  wire mig_7series_0_c0_ui_clk;
  wire mig_7series_0_c0_ui_clk_sync_rst;
  wire mig_7series_0_c1_mmcm_locked;
  wire mig_7series_0_c1_ui_clk;
  wire mig_7series_0_c1_ui_clk_sync_rst;
  wire [0:0]pcie_clk_1_CLK_N;
  wire [0:0]pcie_clk_1_CLK_P;
  wire [0:0]rst_mig_7series_0_133M_1_peripheral_aresetn;
  wire [0:0]rst_mig_7series_0_133M_peripheral_aresetn;
  wire [0:0]util_ds_buf_0_IBUF_OUT;
  wire [2:0]util_vector_logic_0_Res;
  wire [2:0]vio_0_probe_out0;
  wire [63:0]xdma_0_M_AXI_ARADDR;
  wire [1:0]xdma_0_M_AXI_ARBURST;
  wire [3:0]xdma_0_M_AXI_ARCACHE;
  wire [3:0]xdma_0_M_AXI_ARID;
  wire [7:0]xdma_0_M_AXI_ARLEN;
  wire xdma_0_M_AXI_ARLOCK;
  wire [2:0]xdma_0_M_AXI_ARPROT;
  wire xdma_0_M_AXI_ARREADY;
  wire [2:0]xdma_0_M_AXI_ARSIZE;
  wire xdma_0_M_AXI_ARVALID;
  wire [63:0]xdma_0_M_AXI_AWADDR;
  wire [1:0]xdma_0_M_AXI_AWBURST;
  wire [3:0]xdma_0_M_AXI_AWCACHE;
  wire [3:0]xdma_0_M_AXI_AWID;
  wire [7:0]xdma_0_M_AXI_AWLEN;
  wire xdma_0_M_AXI_AWLOCK;
  wire [2:0]xdma_0_M_AXI_AWPROT;
  wire xdma_0_M_AXI_AWREADY;
  wire [2:0]xdma_0_M_AXI_AWSIZE;
  wire xdma_0_M_AXI_AWVALID;
  wire [3:0]xdma_0_M_AXI_BID;
  wire xdma_0_M_AXI_BREADY;
  wire [1:0]xdma_0_M_AXI_BRESP;
  wire xdma_0_M_AXI_BVALID;
  wire [31:0]xdma_0_M_AXI_LITE_ARADDR;
  wire [2:0]xdma_0_M_AXI_LITE_ARPROT;
  wire xdma_0_M_AXI_LITE_ARREADY;
  wire xdma_0_M_AXI_LITE_ARVALID;
  wire [31:0]xdma_0_M_AXI_LITE_AWADDR;
  wire [2:0]xdma_0_M_AXI_LITE_AWPROT;
  wire xdma_0_M_AXI_LITE_AWREADY;
  wire xdma_0_M_AXI_LITE_AWVALID;
  wire xdma_0_M_AXI_LITE_BREADY;
  wire [1:0]xdma_0_M_AXI_LITE_BRESP;
  wire xdma_0_M_AXI_LITE_BVALID;
  wire [31:0]xdma_0_M_AXI_LITE_RDATA;
  wire xdma_0_M_AXI_LITE_RREADY;
  wire [1:0]xdma_0_M_AXI_LITE_RRESP;
  wire xdma_0_M_AXI_LITE_RVALID;
  wire [31:0]xdma_0_M_AXI_LITE_WDATA;
  wire xdma_0_M_AXI_LITE_WREADY;
  wire [3:0]xdma_0_M_AXI_LITE_WSTRB;
  wire xdma_0_M_AXI_LITE_WVALID;
  wire [127:0]xdma_0_M_AXI_RDATA;
  wire [3:0]xdma_0_M_AXI_RID;
  wire xdma_0_M_AXI_RLAST;
  wire xdma_0_M_AXI_RREADY;
  wire [1:0]xdma_0_M_AXI_RRESP;
  wire xdma_0_M_AXI_RVALID;
  wire [127:0]xdma_0_M_AXI_WDATA;
  wire xdma_0_M_AXI_WLAST;
  wire xdma_0_M_AXI_WREADY;
  wire [15:0]xdma_0_M_AXI_WSTRB;
  wire xdma_0_M_AXI_WVALID;
  wire xdma_0_axi_aclk;
  wire xdma_0_axi_aresetn;
  wire [3:0]xdma_0_pcie_mgt_rxn;
  wire [3:0]xdma_0_pcie_mgt_rxp;
  wire [3:0]xdma_0_pcie_mgt_txn;
  wire [3:0]xdma_0_pcie_mgt_txp;
  wire xdma_0_user_lnk_up;

  assign C0_DDR3_0_addr[14:0] = mig_7series_0_C0_DDR3_ADDR;
  assign C0_DDR3_0_ba[2:0] = mig_7series_0_C0_DDR3_BA;
  assign C0_DDR3_0_cas_n = mig_7series_0_C0_DDR3_CAS_N;
  assign C0_DDR3_0_ck_n[0] = mig_7series_0_C0_DDR3_CK_N;
  assign C0_DDR3_0_ck_p[0] = mig_7series_0_C0_DDR3_CK_P;
  assign C0_DDR3_0_cke[0] = mig_7series_0_C0_DDR3_CKE;
  assign C0_DDR3_0_cs_n[0] = mig_7series_0_C0_DDR3_CS_N;
  assign C0_DDR3_0_odt[0] = mig_7series_0_C0_DDR3_ODT;
  assign C0_DDR3_0_ras_n = mig_7series_0_C0_DDR3_RAS_N;
  assign C0_DDR3_0_reset_n = mig_7series_0_C0_DDR3_RESET_N;
  assign C0_DDR3_0_we_n = mig_7series_0_C0_DDR3_WE_N;
  assign C0_SYS_CLK_0_1_CLK_N = C0_SYS_CLK_0_clk_n;
  assign C0_SYS_CLK_0_1_CLK_P = C0_SYS_CLK_0_clk_p;
  assign C1_DDR3_0_addr[14:0] = mig_7series_0_C1_DDR3_ADDR;
  assign C1_DDR3_0_ba[2:0] = mig_7series_0_C1_DDR3_BA;
  assign C1_DDR3_0_cas_n = mig_7series_0_C1_DDR3_CAS_N;
  assign C1_DDR3_0_ck_n[0] = mig_7series_0_C1_DDR3_CK_N;
  assign C1_DDR3_0_ck_p[0] = mig_7series_0_C1_DDR3_CK_P;
  assign C1_DDR3_0_cke[0] = mig_7series_0_C1_DDR3_CKE;
  assign C1_DDR3_0_cs_n[0] = mig_7series_0_C1_DDR3_CS_N;
  assign C1_DDR3_0_odt[0] = mig_7series_0_C1_DDR3_ODT;
  assign C1_DDR3_0_ras_n = mig_7series_0_C1_DDR3_RAS_N;
  assign C1_DDR3_0_reset_n = mig_7series_0_C1_DDR3_RESET_N;
  assign C1_DDR3_0_we_n = mig_7series_0_C1_DDR3_WE_N;
  assign C1_SYS_CLK_0_1_CLK_N = C1_SYS_CLK_0_clk_n;
  assign C1_SYS_CLK_0_1_CLK_P = C1_SYS_CLK_0_clk_p;
  assign LED[2:0] = util_vector_logic_0_Res;
  assign PCIe_RST_n_1 = PCIe_RST_n;
  assign clk_50_1 = clk_50;
  assign pcie_7x_mgt_txn[3:0] = xdma_0_pcie_mgt_txn;
  assign pcie_7x_mgt_txp[3:0] = xdma_0_pcie_mgt_txp;
  assign pcie_clk_1_CLK_N = PCIe_CLK_clk_n[0];
  assign pcie_clk_1_CLK_P = PCIe_CLK_clk_p[0];
  assign xdma_0_pcie_mgt_rxn = pcie_7x_mgt_rxn[3:0];
  assign xdma_0_pcie_mgt_rxp = pcie_7x_mgt_rxp[3:0];
  Top_axi_bram_ctrl_0_0 axi_bram_ctrl_0
       (.bram_addr_a(axi_bram_ctrl_0_BRAM_PORTA_ADDR),
        .bram_clk_a(axi_bram_ctrl_0_BRAM_PORTA_CLK),
        .bram_en_a(axi_bram_ctrl_0_BRAM_PORTA_EN),
        .bram_rddata_a(axi_bram_ctrl_0_BRAM_PORTA_DOUT),
        .bram_rst_a(axi_bram_ctrl_0_BRAM_PORTA_RST),
        .bram_we_a(axi_bram_ctrl_0_BRAM_PORTA_WE),
        .bram_wrdata_a(axi_bram_ctrl_0_BRAM_PORTA_DIN),
        .s_axi_aclk(xdma_0_axi_aclk),
        .s_axi_araddr(axi_smc1_M00_AXI_ARADDR),
        .s_axi_arburst(axi_smc1_M00_AXI_ARBURST),
        .s_axi_arcache(axi_smc1_M00_AXI_ARCACHE),
        .s_axi_aresetn(xdma_0_axi_aresetn),
        .s_axi_arlen(axi_smc1_M00_AXI_ARLEN),
        .s_axi_arlock(axi_smc1_M00_AXI_ARLOCK),
        .s_axi_arprot(axi_smc1_M00_AXI_ARPROT),
        .s_axi_arready(axi_smc1_M00_AXI_ARREADY),
        .s_axi_arsize(axi_smc1_M00_AXI_ARSIZE),
        .s_axi_arvalid(axi_smc1_M00_AXI_ARVALID),
        .s_axi_awaddr(axi_smc1_M00_AXI_AWADDR),
        .s_axi_awburst(axi_smc1_M00_AXI_AWBURST),
        .s_axi_awcache(axi_smc1_M00_AXI_AWCACHE),
        .s_axi_awlen(axi_smc1_M00_AXI_AWLEN),
        .s_axi_awlock(axi_smc1_M00_AXI_AWLOCK),
        .s_axi_awprot(axi_smc1_M00_AXI_AWPROT),
        .s_axi_awready(axi_smc1_M00_AXI_AWREADY),
        .s_axi_awsize(axi_smc1_M00_AXI_AWSIZE),
        .s_axi_awvalid(axi_smc1_M00_AXI_AWVALID),
        .s_axi_bready(axi_smc1_M00_AXI_BREADY),
        .s_axi_bresp(axi_smc1_M00_AXI_BRESP),
        .s_axi_bvalid(axi_smc1_M00_AXI_BVALID),
        .s_axi_rdata(axi_smc1_M00_AXI_RDATA),
        .s_axi_rlast(axi_smc1_M00_AXI_RLAST),
        .s_axi_rready(axi_smc1_M00_AXI_RREADY),
        .s_axi_rresp(axi_smc1_M00_AXI_RRESP),
        .s_axi_rvalid(axi_smc1_M00_AXI_RVALID),
        .s_axi_wdata(axi_smc1_M00_AXI_WDATA),
        .s_axi_wlast(axi_smc1_M00_AXI_WLAST),
        .s_axi_wready(axi_smc1_M00_AXI_WREADY),
        .s_axi_wstrb(axi_smc1_M00_AXI_WSTRB),
        .s_axi_wvalid(axi_smc1_M00_AXI_WVALID));
  Top_axi_bram_ctrl_0_bram_0 axi_bram_ctrl_0_bram
       (.addra({1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,1'b0,axi_bram_ctrl_0_BRAM_PORTA_ADDR}),
        .clka(axi_bram_ctrl_0_BRAM_PORTA_CLK),
        .dina(axi_bram_ctrl_0_BRAM_PORTA_DIN),
        .douta(axi_bram_ctrl_0_BRAM_PORTA_DOUT),
        .ena(axi_bram_ctrl_0_BRAM_PORTA_EN),
        .rsta(axi_bram_ctrl_0_BRAM_PORTA_RST),
        .wea(axi_bram_ctrl_0_BRAM_PORTA_WE));
  Top_axi_gpio_0_0 axi_gpio_0
       (.gpio_io_o(axi_gpio_0_gpio_io_o),
        .s_axi_aclk(xdma_0_axi_aclk),
        .s_axi_araddr(axi_smc1_M01_AXI_ARADDR),
        .s_axi_aresetn(xdma_0_axi_aresetn),
        .s_axi_arready(axi_smc1_M01_AXI_ARREADY),
        .s_axi_arvalid(axi_smc1_M01_AXI_ARVALID),
        .s_axi_awaddr(axi_smc1_M01_AXI_AWADDR),
        .s_axi_awready(axi_smc1_M01_AXI_AWREADY),
        .s_axi_awvalid(axi_smc1_M01_AXI_AWVALID),
        .s_axi_bready(axi_smc1_M01_AXI_BREADY),
        .s_axi_bresp(axi_smc1_M01_AXI_BRESP),
        .s_axi_bvalid(axi_smc1_M01_AXI_BVALID),
        .s_axi_rdata(axi_smc1_M01_AXI_RDATA),
        .s_axi_rready(axi_smc1_M01_AXI_RREADY),
        .s_axi_rresp(axi_smc1_M01_AXI_RRESP),
        .s_axi_rvalid(axi_smc1_M01_AXI_RVALID),
        .s_axi_wdata(axi_smc1_M01_AXI_WDATA),
        .s_axi_wready(axi_smc1_M01_AXI_WREADY),
        .s_axi_wstrb(axi_smc1_M01_AXI_WSTRB),
        .s_axi_wvalid(axi_smc1_M01_AXI_WVALID));
  Top_axi_smc_2 axi_smc
       (.M00_AXI_araddr(axi_smc_M00_AXI_ARADDR),
        .M00_AXI_arburst(axi_smc_M00_AXI_ARBURST),
        .M00_AXI_arcache(axi_smc_M00_AXI_ARCACHE),
        .M00_AXI_arlen(axi_smc_M00_AXI_ARLEN),
        .M00_AXI_arlock(axi_smc_M00_AXI_ARLOCK),
        .M00_AXI_arprot(axi_smc_M00_AXI_ARPROT),
        .M00_AXI_arqos(axi_smc_M00_AXI_ARQOS),
        .M00_AXI_arready(axi_smc_M00_AXI_ARREADY),
        .M00_AXI_arsize(axi_smc_M00_AXI_ARSIZE),
        .M00_AXI_arvalid(axi_smc_M00_AXI_ARVALID),
        .M00_AXI_awaddr(axi_smc_M00_AXI_AWADDR),
        .M00_AXI_awburst(axi_smc_M00_AXI_AWBURST),
        .M00_AXI_awcache(axi_smc_M00_AXI_AWCACHE),
        .M00_AXI_awlen(axi_smc_M00_AXI_AWLEN),
        .M00_AXI_awlock(axi_smc_M00_AXI_AWLOCK),
        .M00_AXI_awprot(axi_smc_M00_AXI_AWPROT),
        .M00_AXI_awqos(axi_smc_M00_AXI_AWQOS),
        .M00_AXI_awready(axi_smc_M00_AXI_AWREADY),
        .M00_AXI_awsize(axi_smc_M00_AXI_AWSIZE),
        .M00_AXI_awvalid(axi_smc_M00_AXI_AWVALID),
        .M00_AXI_bready(axi_smc_M00_AXI_BREADY),
        .M00_AXI_bresp(axi_smc_M00_AXI_BRESP),
        .M00_AXI_bvalid(axi_smc_M00_AXI_BVALID),
        .M00_AXI_rdata(axi_smc_M00_AXI_RDATA),
        .M00_AXI_rlast(axi_smc_M00_AXI_RLAST),
        .M00_AXI_rready(axi_smc_M00_AXI_RREADY),
        .M00_AXI_rresp(axi_smc_M00_AXI_RRESP),
        .M00_AXI_rvalid(axi_smc_M00_AXI_RVALID),
        .M00_AXI_wdata(axi_smc_M00_AXI_WDATA),
        .M00_AXI_wlast(axi_smc_M00_AXI_WLAST),
        .M00_AXI_wready(axi_smc_M00_AXI_WREADY),
        .M00_AXI_wstrb(axi_smc_M00_AXI_WSTRB),
        .M00_AXI_wvalid(axi_smc_M00_AXI_WVALID),
        .M01_AXI_araddr(axi_smc_M01_AXI_ARADDR),
        .M01_AXI_arburst(axi_smc_M01_AXI_ARBURST),
        .M01_AXI_arcache(axi_smc_M01_AXI_ARCACHE),
        .M01_AXI_arlen(axi_smc_M01_AXI_ARLEN),
        .M01_AXI_arlock(axi_smc_M01_AXI_ARLOCK),
        .M01_AXI_arprot(axi_smc_M01_AXI_ARPROT),
        .M01_AXI_arqos(axi_smc_M01_AXI_ARQOS),
        .M01_AXI_arready(axi_smc_M01_AXI_ARREADY),
        .M01_AXI_arsize(axi_smc_M01_AXI_ARSIZE),
        .M01_AXI_arvalid(axi_smc_M01_AXI_ARVALID),
        .M01_AXI_awaddr(axi_smc_M01_AXI_AWADDR),
        .M01_AXI_awburst(axi_smc_M01_AXI_AWBURST),
        .M01_AXI_awcache(axi_smc_M01_AXI_AWCACHE),
        .M01_AXI_awlen(axi_smc_M01_AXI_AWLEN),
        .M01_AXI_awlock(axi_smc_M01_AXI_AWLOCK),
        .M01_AXI_awprot(axi_smc_M01_AXI_AWPROT),
        .M01_AXI_awqos(axi_smc_M01_AXI_AWQOS),
        .M01_AXI_awready(axi_smc_M01_AXI_AWREADY),
        .M01_AXI_awsize(axi_smc_M01_AXI_AWSIZE),
        .M01_AXI_awvalid(axi_smc_M01_AXI_AWVALID),
        .M01_AXI_bready(axi_smc_M01_AXI_BREADY),
        .M01_AXI_bresp(axi_smc_M01_AXI_BRESP),
        .M01_AXI_bvalid(axi_smc_M01_AXI_BVALID),
        .M01_AXI_rdata(axi_smc_M01_AXI_RDATA),
        .M01_AXI_rlast(axi_smc_M01_AXI_RLAST),
        .M01_AXI_rready(axi_smc_M01_AXI_RREADY),
        .M01_AXI_rresp(axi_smc_M01_AXI_RRESP),
        .M01_AXI_rvalid(axi_smc_M01_AXI_RVALID),
        .M01_AXI_wdata(axi_smc_M01_AXI_WDATA),
        .M01_AXI_wlast(axi_smc_M01_AXI_WLAST),
        .M01_AXI_wready(axi_smc_M01_AXI_WREADY),
        .M01_AXI_wstrb(axi_smc_M01_AXI_WSTRB),
        .M01_AXI_wvalid(axi_smc_M01_AXI_WVALID),
        .S00_AXI_araddr(xdma_0_M_AXI_ARADDR),
        .S00_AXI_arburst(xdma_0_M_AXI_ARBURST),
        .S00_AXI_arcache(xdma_0_M_AXI_ARCACHE),
        .S00_AXI_arid(xdma_0_M_AXI_ARID),
        .S00_AXI_arlen(xdma_0_M_AXI_ARLEN),
        .S00_AXI_arlock(xdma_0_M_AXI_ARLOCK),
        .S00_AXI_arprot(xdma_0_M_AXI_ARPROT),
        .S00_AXI_arqos({1'b0,1'b0,1'b0,1'b0}),
        .S00_AXI_arready(xdma_0_M_AXI_ARREADY),
        .S00_AXI_arsize(xdma_0_M_AXI_ARSIZE),
        .S00_AXI_arvalid(xdma_0_M_AXI_ARVALID),
        .S00_AXI_awaddr(xdma_0_M_AXI_AWADDR),
        .S00_AXI_awburst(xdma_0_M_AXI_AWBURST),
        .S00_AXI_awcache(xdma_0_M_AXI_AWCACHE),
        .S00_AXI_awid(xdma_0_M_AXI_AWID),
        .S00_AXI_awlen(xdma_0_M_AXI_AWLEN),
        .S00_AXI_awlock(xdma_0_M_AXI_AWLOCK),
        .S00_AXI_awprot(xdma_0_M_AXI_AWPROT),
        .S00_AXI_awqos({1'b0,1'b0,1'b0,1'b0}),
        .S00_AXI_awready(xdma_0_M_AXI_AWREADY),
        .S00_AXI_awsize(xdma_0_M_AXI_AWSIZE),
        .S00_AXI_awvalid(xdma_0_M_AXI_AWVALID),
        .S00_AXI_bid(xdma_0_M_AXI_BID),
        .S00_AXI_bready(xdma_0_M_AXI_BREADY),
        .S00_AXI_bresp(xdma_0_M_AXI_BRESP),
        .S00_AXI_bvalid(xdma_0_M_AXI_BVALID),
        .S00_AXI_rdata(xdma_0_M_AXI_RDATA),
        .S00_AXI_rid(xdma_0_M_AXI_RID),
        .S00_AXI_rlast(xdma_0_M_AXI_RLAST),
        .S00_AXI_rready(xdma_0_M_AXI_RREADY),
        .S00_AXI_rresp(xdma_0_M_AXI_RRESP),
        .S00_AXI_rvalid(xdma_0_M_AXI_RVALID),
        .S00_AXI_wdata(xdma_0_M_AXI_WDATA),
        .S00_AXI_wlast(xdma_0_M_AXI_WLAST),
        .S00_AXI_wready(xdma_0_M_AXI_WREADY),
        .S00_AXI_wstrb(xdma_0_M_AXI_WSTRB),
        .S00_AXI_wvalid(xdma_0_M_AXI_WVALID),
        .aclk(xdma_0_axi_aclk),
        .aclk1(mig_7series_0_c0_ui_clk),
        .aclk2(mig_7series_0_c1_ui_clk),
        .aresetn(xdma_0_axi_aresetn));
  Top_axi_smc_3 axi_smc1
       (.M00_AXI_araddr(axi_smc1_M00_AXI_ARADDR),
        .M00_AXI_arburst(axi_smc1_M00_AXI_ARBURST),
        .M00_AXI_arcache(axi_smc1_M00_AXI_ARCACHE),
        .M00_AXI_arlen(axi_smc1_M00_AXI_ARLEN),
        .M00_AXI_arlock(axi_smc1_M00_AXI_ARLOCK),
        .M00_AXI_arprot(axi_smc1_M00_AXI_ARPROT),
        .M00_AXI_arready(axi_smc1_M00_AXI_ARREADY),
        .M00_AXI_arsize(axi_smc1_M00_AXI_ARSIZE),
        .M00_AXI_arvalid(axi_smc1_M00_AXI_ARVALID),
        .M00_AXI_awaddr(axi_smc1_M00_AXI_AWADDR),
        .M00_AXI_awburst(axi_smc1_M00_AXI_AWBURST),
        .M00_AXI_awcache(axi_smc1_M00_AXI_AWCACHE),
        .M00_AXI_awlen(axi_smc1_M00_AXI_AWLEN),
        .M00_AXI_awlock(axi_smc1_M00_AXI_AWLOCK),
        .M00_AXI_awprot(axi_smc1_M00_AXI_AWPROT),
        .M00_AXI_awready(axi_smc1_M00_AXI_AWREADY),
        .M00_AXI_awsize(axi_smc1_M00_AXI_AWSIZE),
        .M00_AXI_awvalid(axi_smc1_M00_AXI_AWVALID),
        .M00_AXI_bready(axi_smc1_M00_AXI_BREADY),
        .M00_AXI_bresp(axi_smc1_M00_AXI_BRESP),
        .M00_AXI_bvalid(axi_smc1_M00_AXI_BVALID),
        .M00_AXI_rdata(axi_smc1_M00_AXI_RDATA),
        .M00_AXI_rlast(axi_smc1_M00_AXI_RLAST),
        .M00_AXI_rready(axi_smc1_M00_AXI_RREADY),
        .M00_AXI_rresp(axi_smc1_M00_AXI_RRESP),
        .M00_AXI_rvalid(axi_smc1_M00_AXI_RVALID),
        .M00_AXI_wdata(axi_smc1_M00_AXI_WDATA),
        .M00_AXI_wlast(axi_smc1_M00_AXI_WLAST),
        .M00_AXI_wready(axi_smc1_M00_AXI_WREADY),
        .M00_AXI_wstrb(axi_smc1_M00_AXI_WSTRB),
        .M00_AXI_wvalid(axi_smc1_M00_AXI_WVALID),
        .M01_AXI_araddr(axi_smc1_M01_AXI_ARADDR),
        .M01_AXI_arready(axi_smc1_M01_AXI_ARREADY),
        .M01_AXI_arvalid(axi_smc1_M01_AXI_ARVALID),
        .M01_AXI_awaddr(axi_smc1_M01_AXI_AWADDR),
        .M01_AXI_awready(axi_smc1_M01_AXI_AWREADY),
        .M01_AXI_awvalid(axi_smc1_M01_AXI_AWVALID),
        .M01_AXI_bready(axi_smc1_M01_AXI_BREADY),
        .M01_AXI_bresp(axi_smc1_M01_AXI_BRESP),
        .M01_AXI_bvalid(axi_smc1_M01_AXI_BVALID),
        .M01_AXI_rdata(axi_smc1_M01_AXI_RDATA),
        .M01_AXI_rready(axi_smc1_M01_AXI_RREADY),
        .M01_AXI_rresp(axi_smc1_M01_AXI_RRESP),
        .M01_AXI_rvalid(axi_smc1_M01_AXI_RVALID),
        .M01_AXI_wdata(axi_smc1_M01_AXI_WDATA),
        .M01_AXI_wready(axi_smc1_M01_AXI_WREADY),
        .M01_AXI_wstrb(axi_smc1_M01_AXI_WSTRB),
        .M01_AXI_wvalid(axi_smc1_M01_AXI_WVALID),
        .M02_AXI_araddr(axi_smc1_M02_AXI_ARADDR),
        .M02_AXI_arready(axi_smc1_M02_AXI_ARREADY),
        .M02_AXI_arvalid(axi_smc1_M02_AXI_ARVALID),
        .M02_AXI_awaddr(axi_smc1_M02_AXI_AWADDR),
        .M02_AXI_awready(axi_smc1_M02_AXI_AWREADY),
        .M02_AXI_awvalid(axi_smc1_M02_AXI_AWVALID),
        .M02_AXI_bready(axi_smc1_M02_AXI_BREADY),
        .M02_AXI_bresp(axi_smc1_M02_AXI_BRESP),
        .M02_AXI_bvalid(axi_smc1_M02_AXI_BVALID),
        .M02_AXI_rdata(axi_smc1_M02_AXI_RDATA),
        .M02_AXI_rready(axi_smc1_M02_AXI_RREADY),
        .M02_AXI_rresp(axi_smc1_M02_AXI_RRESP),
        .M02_AXI_rvalid(axi_smc1_M02_AXI_RVALID),
        .M02_AXI_wdata(axi_smc1_M02_AXI_WDATA),
        .M02_AXI_wready(axi_smc1_M02_AXI_WREADY),
        .M02_AXI_wvalid(axi_smc1_M02_AXI_WVALID),
        .M03_AXI_araddr(axi_smc1_M03_AXI_ARADDR),
        .M03_AXI_arready(axi_smc1_M03_AXI_ARREADY),
        .M03_AXI_arvalid(axi_smc1_M03_AXI_ARVALID),
        .M03_AXI_awaddr(axi_smc1_M03_AXI_AWADDR),
        .M03_AXI_awready(axi_smc1_M03_AXI_AWREADY),
        .M03_AXI_awvalid(axi_smc1_M03_AXI_AWVALID),
        .M03_AXI_bready(axi_smc1_M03_AXI_BREADY),
        .M03_AXI_bresp(axi_smc1_M03_AXI_BRESP),
        .M03_AXI_bvalid(axi_smc1_M03_AXI_BVALID),
        .M03_AXI_rdata(axi_smc1_M03_AXI_RDATA),
        .M03_AXI_rready(axi_smc1_M03_AXI_RREADY),
        .M03_AXI_rresp(axi_smc1_M03_AXI_RRESP),
        .M03_AXI_rvalid(axi_smc1_M03_AXI_RVALID),
        .M03_AXI_wdata(axi_smc1_M03_AXI_WDATA),
        .M03_AXI_wready(axi_smc1_M03_AXI_WREADY),
        .M03_AXI_wvalid(axi_smc1_M03_AXI_WVALID),
        .S00_AXI_araddr(xdma_0_M_AXI_LITE_ARADDR),
        .S00_AXI_arprot(xdma_0_M_AXI_LITE_ARPROT),
        .S00_AXI_arready(xdma_0_M_AXI_LITE_ARREADY),
        .S00_AXI_arvalid(xdma_0_M_AXI_LITE_ARVALID),
        .S00_AXI_awaddr(xdma_0_M_AXI_LITE_AWADDR),
        .S00_AXI_awprot(xdma_0_M_AXI_LITE_AWPROT),
        .S00_AXI_awready(xdma_0_M_AXI_LITE_AWREADY),
        .S00_AXI_awvalid(xdma_0_M_AXI_LITE_AWVALID),
        .S00_AXI_bready(xdma_0_M_AXI_LITE_BREADY),
        .S00_AXI_bresp(xdma_0_M_AXI_LITE_BRESP),
        .S00_AXI_bvalid(xdma_0_M_AXI_LITE_BVALID),
        .S00_AXI_rdata(xdma_0_M_AXI_LITE_RDATA),
        .S00_AXI_rready(xdma_0_M_AXI_LITE_RREADY),
        .S00_AXI_rresp(xdma_0_M_AXI_LITE_RRESP),
        .S00_AXI_rvalid(xdma_0_M_AXI_LITE_RVALID),
        .S00_AXI_wdata(xdma_0_M_AXI_LITE_WDATA),
        .S00_AXI_wready(xdma_0_M_AXI_LITE_WREADY),
        .S00_AXI_wstrb(xdma_0_M_AXI_LITE_WSTRB),
        .S00_AXI_wvalid(xdma_0_M_AXI_LITE_WVALID),
        .aclk(xdma_0_axi_aclk),
        .aclk1(mig_7series_0_c0_ui_clk),
        .aclk2(mig_7series_0_c1_ui_clk),
        .aresetn(xdma_0_axi_aresetn));
  Top_mig_7series_0_0 mig_7series_0
       (.c0_aresetn(rst_mig_7series_0_133M_peripheral_aresetn),
        .c0_ddr3_addr(mig_7series_0_C0_DDR3_ADDR),
        .c0_ddr3_ba(mig_7series_0_C0_DDR3_BA),
        .c0_ddr3_cas_n(mig_7series_0_C0_DDR3_CAS_N),
        .c0_ddr3_ck_n(mig_7series_0_C0_DDR3_CK_N),
        .c0_ddr3_ck_p(mig_7series_0_C0_DDR3_CK_P),
        .c0_ddr3_cke(mig_7series_0_C0_DDR3_CKE),
        .c0_ddr3_cs_n(mig_7series_0_C0_DDR3_CS_N),
        .c0_ddr3_dq(C0_DDR3_0_dq[71:0]),
        .c0_ddr3_dqs_n(C0_DDR3_0_dqs_n[8:0]),
        .c0_ddr3_dqs_p(C0_DDR3_0_dqs_p[8:0]),
        .c0_ddr3_odt(mig_7series_0_C0_DDR3_ODT),
        .c0_ddr3_ras_n(mig_7series_0_C0_DDR3_RAS_N),
        .c0_ddr3_reset_n(mig_7series_0_C0_DDR3_RESET_N),
        .c0_ddr3_we_n(mig_7series_0_C0_DDR3_WE_N),
        .c0_mmcm_locked(mig_7series_0_c0_mmcm_locked),
        .c0_s_axi_araddr(axi_smc_M00_AXI_ARADDR),
        .c0_s_axi_arburst(axi_smc_M00_AXI_ARBURST),
        .c0_s_axi_arcache(axi_smc_M00_AXI_ARCACHE),
        .c0_s_axi_arid({1'b0,1'b0,1'b0,1'b0}),
        .c0_s_axi_arlen(axi_smc_M00_AXI_ARLEN),
        .c0_s_axi_arlock(axi_smc_M00_AXI_ARLOCK),
        .c0_s_axi_arprot(axi_smc_M00_AXI_ARPROT),
        .c0_s_axi_arqos(axi_smc_M00_AXI_ARQOS),
        .c0_s_axi_arready(axi_smc_M00_AXI_ARREADY),
        .c0_s_axi_arsize(axi_smc_M00_AXI_ARSIZE),
        .c0_s_axi_arvalid(axi_smc_M00_AXI_ARVALID),
        .c0_s_axi_awaddr(axi_smc_M00_AXI_AWADDR),
        .c0_s_axi_awburst(axi_smc_M00_AXI_AWBURST),
        .c0_s_axi_awcache(axi_smc_M00_AXI_AWCACHE),
        .c0_s_axi_awid({1'b0,1'b0,1'b0,1'b0}),
        .c0_s_axi_awlen(axi_smc_M00_AXI_AWLEN),
        .c0_s_axi_awlock(axi_smc_M00_AXI_AWLOCK),
        .c0_s_axi_awprot(axi_smc_M00_AXI_AWPROT),
        .c0_s_axi_awqos(axi_smc_M00_AXI_AWQOS),
        .c0_s_axi_awready(axi_smc_M00_AXI_AWREADY),
        .c0_s_axi_awsize(axi_smc_M00_AXI_AWSIZE),
        .c0_s_axi_awvalid(axi_smc_M00_AXI_AWVALID),
        .c0_s_axi_bready(axi_smc_M00_AXI_BREADY),
        .c0_s_axi_bresp(axi_smc_M00_AXI_BRESP),
        .c0_s_axi_bvalid(axi_smc_M00_AXI_BVALID),
        .c0_s_axi_ctrl_araddr(axi_smc1_M02_AXI_ARADDR),
        .c0_s_axi_ctrl_arready(axi_smc1_M02_AXI_ARREADY),
        .c0_s_axi_ctrl_arvalid(axi_smc1_M02_AXI_ARVALID),
        .c0_s_axi_ctrl_awaddr(axi_smc1_M02_AXI_AWADDR),
        .c0_s_axi_ctrl_awready(axi_smc1_M02_AXI_AWREADY),
        .c0_s_axi_ctrl_awvalid(axi_smc1_M02_AXI_AWVALID),
        .c0_s_axi_ctrl_bready(axi_smc1_M02_AXI_BREADY),
        .c0_s_axi_ctrl_bresp(axi_smc1_M02_AXI_BRESP),
        .c0_s_axi_ctrl_bvalid(axi_smc1_M02_AXI_BVALID),
        .c0_s_axi_ctrl_rdata(axi_smc1_M02_AXI_RDATA),
        .c0_s_axi_ctrl_rready(axi_smc1_M02_AXI_RREADY),
        .c0_s_axi_ctrl_rresp(axi_smc1_M02_AXI_RRESP),
        .c0_s_axi_ctrl_rvalid(axi_smc1_M02_AXI_RVALID),
        .c0_s_axi_ctrl_wdata(axi_smc1_M02_AXI_WDATA),
        .c0_s_axi_ctrl_wready(axi_smc1_M02_AXI_WREADY),
        .c0_s_axi_ctrl_wvalid(axi_smc1_M02_AXI_WVALID),
        .c0_s_axi_rdata(axi_smc_M00_AXI_RDATA),
        .c0_s_axi_rlast(axi_smc_M00_AXI_RLAST),
        .c0_s_axi_rready(axi_smc_M00_AXI_RREADY),
        .c0_s_axi_rresp(axi_smc_M00_AXI_RRESP),
        .c0_s_axi_rvalid(axi_smc_M00_AXI_RVALID),
        .c0_s_axi_wdata(axi_smc_M00_AXI_WDATA),
        .c0_s_axi_wlast(axi_smc_M00_AXI_WLAST),
        .c0_s_axi_wready(axi_smc_M00_AXI_WREADY),
        .c0_s_axi_wstrb(axi_smc_M00_AXI_WSTRB),
        .c0_s_axi_wvalid(axi_smc_M00_AXI_WVALID),
        .c0_sys_clk_n(C0_SYS_CLK_0_1_CLK_N),
        .c0_sys_clk_p(C0_SYS_CLK_0_1_CLK_P),
        .c0_ui_clk(mig_7series_0_c0_ui_clk),
        .c0_ui_clk_sync_rst(mig_7series_0_c0_ui_clk_sync_rst),
        .c1_aresetn(rst_mig_7series_0_133M_1_peripheral_aresetn),
        .c1_ddr3_addr(mig_7series_0_C1_DDR3_ADDR),
        .c1_ddr3_ba(mig_7series_0_C1_DDR3_BA),
        .c1_ddr3_cas_n(mig_7series_0_C1_DDR3_CAS_N),
        .c1_ddr3_ck_n(mig_7series_0_C1_DDR3_CK_N),
        .c1_ddr3_ck_p(mig_7series_0_C1_DDR3_CK_P),
        .c1_ddr3_cke(mig_7series_0_C1_DDR3_CKE),
        .c1_ddr3_cs_n(mig_7series_0_C1_DDR3_CS_N),
        .c1_ddr3_dq(C1_DDR3_0_dq[71:0]),
        .c1_ddr3_dqs_n(C1_DDR3_0_dqs_n[8:0]),
        .c1_ddr3_dqs_p(C1_DDR3_0_dqs_p[8:0]),
        .c1_ddr3_odt(mig_7series_0_C1_DDR3_ODT),
        .c1_ddr3_ras_n(mig_7series_0_C1_DDR3_RAS_N),
        .c1_ddr3_reset_n(mig_7series_0_C1_DDR3_RESET_N),
        .c1_ddr3_we_n(mig_7series_0_C1_DDR3_WE_N),
        .c1_mmcm_locked(mig_7series_0_c1_mmcm_locked),
        .c1_s_axi_araddr(axi_smc_M01_AXI_ARADDR),
        .c1_s_axi_arburst(axi_smc_M01_AXI_ARBURST),
        .c1_s_axi_arcache(axi_smc_M01_AXI_ARCACHE),
        .c1_s_axi_arid({1'b0,1'b0,1'b0,1'b0}),
        .c1_s_axi_arlen(axi_smc_M01_AXI_ARLEN),
        .c1_s_axi_arlock(axi_smc_M01_AXI_ARLOCK),
        .c1_s_axi_arprot(axi_smc_M01_AXI_ARPROT),
        .c1_s_axi_arqos(axi_smc_M01_AXI_ARQOS),
        .c1_s_axi_arready(axi_smc_M01_AXI_ARREADY),
        .c1_s_axi_arsize(axi_smc_M01_AXI_ARSIZE),
        .c1_s_axi_arvalid(axi_smc_M01_AXI_ARVALID),
        .c1_s_axi_awaddr(axi_smc_M01_AXI_AWADDR),
        .c1_s_axi_awburst(axi_smc_M01_AXI_AWBURST),
        .c1_s_axi_awcache(axi_smc_M01_AXI_AWCACHE),
        .c1_s_axi_awid({1'b0,1'b0,1'b0,1'b0}),
        .c1_s_axi_awlen(axi_smc_M01_AXI_AWLEN),
        .c1_s_axi_awlock(axi_smc_M01_AXI_AWLOCK),
        .c1_s_axi_awprot(axi_smc_M01_AXI_AWPROT),
        .c1_s_axi_awqos(axi_smc_M01_AXI_AWQOS),
        .c1_s_axi_awready(axi_smc_M01_AXI_AWREADY),
        .c1_s_axi_awsize(axi_smc_M01_AXI_AWSIZE),
        .c1_s_axi_awvalid(axi_smc_M01_AXI_AWVALID),
        .c1_s_axi_bready(axi_smc_M01_AXI_BREADY),
        .c1_s_axi_bresp(axi_smc_M01_AXI_BRESP),
        .c1_s_axi_bvalid(axi_smc_M01_AXI_BVALID),
        .c1_s_axi_ctrl_araddr(axi_smc1_M03_AXI_ARADDR),
        .c1_s_axi_ctrl_arready(axi_smc1_M03_AXI_ARREADY),
        .c1_s_axi_ctrl_arvalid(axi_smc1_M03_AXI_ARVALID),
        .c1_s_axi_ctrl_awaddr(axi_smc1_M03_AXI_AWADDR),
        .c1_s_axi_ctrl_awready(axi_smc1_M03_AXI_AWREADY),
        .c1_s_axi_ctrl_awvalid(axi_smc1_M03_AXI_AWVALID),
        .c1_s_axi_ctrl_bready(axi_smc1_M03_AXI_BREADY),
        .c1_s_axi_ctrl_bresp(axi_smc1_M03_AXI_BRESP),
        .c1_s_axi_ctrl_bvalid(axi_smc1_M03_AXI_BVALID),
        .c1_s_axi_ctrl_rdata(axi_smc1_M03_AXI_RDATA),
        .c1_s_axi_ctrl_rready(axi_smc1_M03_AXI_RREADY),
        .c1_s_axi_ctrl_rresp(axi_smc1_M03_AXI_RRESP),
        .c1_s_axi_ctrl_rvalid(axi_smc1_M03_AXI_RVALID),
        .c1_s_axi_ctrl_wdata(axi_smc1_M03_AXI_WDATA),
        .c1_s_axi_ctrl_wready(axi_smc1_M03_AXI_WREADY),
        .c1_s_axi_ctrl_wvalid(axi_smc1_M03_AXI_WVALID),
        .c1_s_axi_rdata(axi_smc_M01_AXI_RDATA),
        .c1_s_axi_rlast(axi_smc_M01_AXI_RLAST),
        .c1_s_axi_rready(axi_smc_M01_AXI_RREADY),
        .c1_s_axi_rresp(axi_smc_M01_AXI_RRESP),
        .c1_s_axi_rvalid(axi_smc_M01_AXI_RVALID),
        .c1_s_axi_wdata(axi_smc_M01_AXI_WDATA),
        .c1_s_axi_wlast(axi_smc_M01_AXI_WLAST),
        .c1_s_axi_wready(axi_smc_M01_AXI_WREADY),
        .c1_s_axi_wstrb(axi_smc_M01_AXI_WSTRB),
        .c1_s_axi_wvalid(axi_smc_M01_AXI_WVALID),
        .c1_sys_clk_n(C1_SYS_CLK_0_1_CLK_N),
        .c1_sys_clk_p(C1_SYS_CLK_0_1_CLK_P),
        .c1_ui_clk(mig_7series_0_c1_ui_clk),
        .c1_ui_clk_sync_rst(mig_7series_0_c1_ui_clk_sync_rst),
        .sys_rst(xdma_0_axi_aresetn));
  Top_rst_mig_7series_0_133M_0 rst_mig_7series_0_133M
       (.aux_reset_in(1'b1),
        .dcm_locked(mig_7series_0_c0_mmcm_locked),
        .ext_reset_in(mig_7series_0_c0_ui_clk_sync_rst),
        .mb_debug_sys_rst(1'b0),
        .peripheral_aresetn(rst_mig_7series_0_133M_peripheral_aresetn),
        .slowest_sync_clk(mig_7series_0_c0_ui_clk));
  Top_rst_mig_7series_0_133M_1_0 rst_mig_7series_0_133M_1
       (.aux_reset_in(1'b1),
        .dcm_locked(mig_7series_0_c1_mmcm_locked),
        .ext_reset_in(mig_7series_0_c1_ui_clk_sync_rst),
        .mb_debug_sys_rst(1'b0),
        .peripheral_aresetn(rst_mig_7series_0_133M_1_peripheral_aresetn),
        .slowest_sync_clk(mig_7series_0_c1_ui_clk));
  Top_util_ds_buf_0_0 util_ds_buf_0
       (.IBUF_DS_N(pcie_clk_1_CLK_N),
        .IBUF_DS_P(pcie_clk_1_CLK_P),
        .IBUF_OUT(util_ds_buf_0_IBUF_OUT));
  Top_util_vector_logic_0_0 util_vector_logic_0
       (.Op1(vio_0_probe_out0),
        .Op2(axi_gpio_0_gpio_io_o),
        .Res(util_vector_logic_0_Res));
  Top_vio_0_1 vio_0
       (.clk(clk_50_1),
        .probe_in0(xdma_0_user_lnk_up),
        .probe_in1(PCIe_RST_n_1),
        .probe_out0(vio_0_probe_out0));
  Top_xdma_0_0 xdma_0
       (.axi_aclk(xdma_0_axi_aclk),
        .axi_aresetn(xdma_0_axi_aresetn),
        .m_axi_araddr(xdma_0_M_AXI_ARADDR),
        .m_axi_arburst(xdma_0_M_AXI_ARBURST),
        .m_axi_arcache(xdma_0_M_AXI_ARCACHE),
        .m_axi_arid(xdma_0_M_AXI_ARID),
        .m_axi_arlen(xdma_0_M_AXI_ARLEN),
        .m_axi_arlock(xdma_0_M_AXI_ARLOCK),
        .m_axi_arprot(xdma_0_M_AXI_ARPROT),
        .m_axi_arready(xdma_0_M_AXI_ARREADY),
        .m_axi_arsize(xdma_0_M_AXI_ARSIZE),
        .m_axi_arvalid(xdma_0_M_AXI_ARVALID),
        .m_axi_awaddr(xdma_0_M_AXI_AWADDR),
        .m_axi_awburst(xdma_0_M_AXI_AWBURST),
        .m_axi_awcache(xdma_0_M_AXI_AWCACHE),
        .m_axi_awid(xdma_0_M_AXI_AWID),
        .m_axi_awlen(xdma_0_M_AXI_AWLEN),
        .m_axi_awlock(xdma_0_M_AXI_AWLOCK),
        .m_axi_awprot(xdma_0_M_AXI_AWPROT),
        .m_axi_awready(xdma_0_M_AXI_AWREADY),
        .m_axi_awsize(xdma_0_M_AXI_AWSIZE),
        .m_axi_awvalid(xdma_0_M_AXI_AWVALID),
        .m_axi_bid(xdma_0_M_AXI_BID),
        .m_axi_bready(xdma_0_M_AXI_BREADY),
        .m_axi_bresp(xdma_0_M_AXI_BRESP),
        .m_axi_bvalid(xdma_0_M_AXI_BVALID),
        .m_axi_rdata(xdma_0_M_AXI_RDATA),
        .m_axi_rid(xdma_0_M_AXI_RID),
        .m_axi_rlast(xdma_0_M_AXI_RLAST),
        .m_axi_rready(xdma_0_M_AXI_RREADY),
        .m_axi_rresp(xdma_0_M_AXI_RRESP),
        .m_axi_rvalid(xdma_0_M_AXI_RVALID),
        .m_axi_wdata(xdma_0_M_AXI_WDATA),
        .m_axi_wlast(xdma_0_M_AXI_WLAST),
        .m_axi_wready(xdma_0_M_AXI_WREADY),
        .m_axi_wstrb(xdma_0_M_AXI_WSTRB),
        .m_axi_wvalid(xdma_0_M_AXI_WVALID),
        .m_axil_araddr(xdma_0_M_AXI_LITE_ARADDR),
        .m_axil_arprot(xdma_0_M_AXI_LITE_ARPROT),
        .m_axil_arready(xdma_0_M_AXI_LITE_ARREADY),
        .m_axil_arvalid(xdma_0_M_AXI_LITE_ARVALID),
        .m_axil_awaddr(xdma_0_M_AXI_LITE_AWADDR),
        .m_axil_awprot(xdma_0_M_AXI_LITE_AWPROT),
        .m_axil_awready(xdma_0_M_AXI_LITE_AWREADY),
        .m_axil_awvalid(xdma_0_M_AXI_LITE_AWVALID),
        .m_axil_bready(xdma_0_M_AXI_LITE_BREADY),
        .m_axil_bresp(xdma_0_M_AXI_LITE_BRESP),
        .m_axil_bvalid(xdma_0_M_AXI_LITE_BVALID),
        .m_axil_rdata(xdma_0_M_AXI_LITE_RDATA),
        .m_axil_rready(xdma_0_M_AXI_LITE_RREADY),
        .m_axil_rresp(xdma_0_M_AXI_LITE_RRESP),
        .m_axil_rvalid(xdma_0_M_AXI_LITE_RVALID),
        .m_axil_wdata(xdma_0_M_AXI_LITE_WDATA),
        .m_axil_wready(xdma_0_M_AXI_LITE_WREADY),
        .m_axil_wstrb(xdma_0_M_AXI_LITE_WSTRB),
        .m_axil_wvalid(xdma_0_M_AXI_LITE_WVALID),
        .pci_exp_rxn(xdma_0_pcie_mgt_rxn),
        .pci_exp_rxp(xdma_0_pcie_mgt_rxp),
        .pci_exp_txn(xdma_0_pcie_mgt_txn),
        .pci_exp_txp(xdma_0_pcie_mgt_txp),
        .sys_clk(util_ds_buf_0_IBUF_OUT),
        .sys_rst_n(PCIe_RST_n_1),
        .user_lnk_up(xdma_0_user_lnk_up),
        .usr_irq_req(1'b0));
endmodule
